Package org.eclipse.m2m.atl.emftvm.ant

## Class RunTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
      - - org.eclipse.m2m.atl.emftvm.ant.RunTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class RunTask
    extends EMFTVMTask

Runs a model transformation in the EMFTVM.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`RunTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredInoutModel​(InOutModel model)` Adds model as input/output model to the run task.
`void` `addConfiguredInoutModelSet​(InOutModelSet modelSet)` Adds model as input/output model to the run task.
`void` `addConfiguredInputModel​(InModel model)` Adds model as input model to the run task.
`void` `addConfiguredInputModelSet​(InModelSet modelSet)` Adds model set as input model set to the run task.
`void` `addConfiguredMetamodel​(MetaModel metamodel)` Adds metamodel to the run task.
`void` `addConfiguredOutputModel​(OutModel model)` Adds model as output model to the run task.
`void` `addConfiguredOutputModelSet​(OutModelSet modelSet)` Adds model as output model to the run task.
`java.util.List<InOutModel>` `getInoutModels()` Returns the list of in/out models.
`java.util.List<InOutModelSet>` `getInoutModelSets()` Returns the list of input/output model sets.
`java.util.List<InModel>` `getInputModels()` Returns the list of input models.
`java.util.List<InModelSet>` `getInputModelSets()` Returns the list of input model sets.
`java.util.List<MetaModel>` `getMetaModels()` Returns the list of metamodels.
`java.lang.String` `getModule()` Returns the module name.
`java.lang.String` `getModulePath()` Returns the module path.
`java.util.List<OutModel>` `getOutputModels()` Returns the list of output models.
`java.util.List<OutModelSet>` `getOutputModelSets()` Returns the list of output model sets.
`protected void` `innerExecute()` Performs the actual execution.
`boolean` `isDisableJIT()` Returns whether to disable the JIT compiler.
`void` `setDisableJIT​(boolean disableJIT)` Sets whether to disable the JIT compiler
`void` `setModule​(java.lang.String module)` Sets the module name.
`void` `setModulePath​(java.lang.String modulePath)` Sets the module path.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunTask

    public RunTask()

### Method Detail

#### setModule

    public void setModule​(java.lang.String module)

Sets the module name.

Parameters:
  `module` - the module to set

#### getModule

    public java.lang.String getModule()

Returns the module name.

Returns:
  the module

#### setModulePath

    public void setModulePath​(java.lang.String modulePath)

Sets the module path.

Parameters:
  `modulePath` - the modulePath to set

#### getModulePath

    public java.lang.String getModulePath()

Returns the module path.

Returns:
  the modulePath

#### isDisableJIT

    public boolean isDisableJIT()

Returns whether to disable the JIT compiler.

Returns:
  whether to disable the JIT compiler

#### setDisableJIT

    public void setDisableJIT​(boolean disableJIT)

Sets whether to disable the JIT compiler

Parameters:
  `disableJIT` - whether to disable the JIT compiler

#### getMetaModels

    public java.util.List<MetaModel> getMetaModels()

Returns the list of metamodels.

Returns:
  the metaModels

#### getInputModels

    public java.util.List<InModel> getInputModels()

Returns the list of input models.

Returns:
  the inputModels

#### getInoutModels

    public java.util.List<InOutModel> getInoutModels()

Returns the list of in/out models.

Returns:
  the inoutModels

#### getOutputModels

    public java.util.List<OutModel> getOutputModels()

Returns the list of output models.

Returns:
  the outputModels

#### getInputModelSets

    public java.util.List<InModelSet> getInputModelSets()

Returns the list of input model sets.

Returns:
  the inModelSets

#### getInoutModelSets

    public java.util.List<InOutModelSet> getInoutModelSets()

Returns the list of input/output model sets.

Returns:
  the inOutModelSets

#### getOutputModelSets

    public java.util.List<OutModelSet> getOutputModelSets()

Returns the list of output model sets.

Returns:
  the outModelSets

#### addConfiguredMetamodel

    public void addConfiguredMetamodel​(MetaModel metamodel)

Adds metamodel to the run task.

Parameters:
  `metamodel` - the metamodel

#### addConfiguredInputModel

    public void addConfiguredInputModel​(InModel model)

Adds model as input model to the run task.

Parameters:
  `model` - the input model

#### addConfiguredInoutModel

    public void addConfiguredInoutModel​(InOutModel model)

Adds model as input/output model to the run task.

Parameters:
  `model` - the in/out model

#### addConfiguredOutputModel

    public void addConfiguredOutputModel​(OutModel model)

Adds model as output model to the run task.

Parameters:
  `model` - the output model

#### addConfiguredInputModelSet

    public void addConfiguredInputModelSet​(InModelSet modelSet)

Adds model set as input model set to the run task.

Parameters:
  `modelSet` - the input model set

#### addConfiguredInoutModelSet

    public void addConfiguredInoutModelSet​(InOutModelSet modelSet)

Adds model as input/output model to the run task.

Parameters:
  `modelSet` - the in/out model set

#### addConfiguredOutputModelSet

    public void addConfiguredOutputModelSet​(OutModelSet modelSet)

Adds model as output model to the run task.

Parameters:
  `modelSet` - the output model set

#### innerExecute

    protected void innerExecute()
                         throws java.lang.Exception

Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `java.lang.Exception`